ch.qos.logback.classic.util

## Class DefaultNestedComponentRules

- java.lang.Object
- - ch.qos.logback.classic.util.DefaultNestedComponentRules

    public class DefaultNestedComponentRules
    extends java.lang.Object

Contains mappings for the default type of nested components in logback-classic.

Author:
  Ceki Gulcu

### Constructor Summary

Constructors
Constructor and Description
`DefaultNestedComponentRules()`

### Method Summary

Methods
`static void` `addDefaultNestedComponentRegistryRules(DefaultNestedComponentRegistry registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultNestedComponentRules

    public DefaultNestedComponentRules()

### Method Detail

#### addDefaultNestedComponentRegistryRules

    public static void addDefaultNestedComponentRegistryRules(DefaultNestedComponentRegistry registry)